\documentclass[14pt,t,aspectratio=169]{beamer}

% THEME OPTION
\usetheme{beavise}
\usefonttheme[onlymath]{serif}
\setbeamertemplate{footline}[body]

% PACKAGES
\usepackage[english]{babel}
\usepackage{amsfonts}
\usepackage{amssymb}
\usepackage[font=scriptsize,labelfont=bf]{caption}
\usepackage{multimedia}
\usepackage{bibentry}
\usepackage{multirow}

% METADATA
\title{BEAVISE\\BEAMER THEME}
\subtitle{with a nice subtitle}
\author{John Doe}
\institute{KU Leuven - EAVISE}
\date{1 September 2019}


% PRESENTATION
\begin{document}
\csname beamer@calculateheadfoot\endcsname

%%
%% Title page
%%

% SET HEADER IMAGE AND IMAGE OPTIONS
%   image: path to the image to show
%   onlyfull: only show the image on title pages
%   vshift: vertical shift of the image
%   hshift: horizontal shift of the image
%   zoom: zoom factor for the image
\setheaderimg{image=graphics/default.jpg, vshift=20pt, hshift=70pt, zoom=1.5}
\begin{frame}[plain,noframenumbering]
	\titlepage
\end{frame}

\setheaderimg{image=graphics/default.jpg, vshift=-50pt, zoom=1.5}
\tocframe{Outline}

%%
%% Theme options
%%
\setheaderimg{image=graphics/default.jpg, vshift=20pt, hshift=70pt, zoom=1.5}
\setheadercolor{color=kul-logo2}
\section{Colors}
\begin{frame}{Predefined Colors}
	\begin{columns}
		\begin{column}{.3\textwidth}
			\begin{itemize}
				\item \textcolor{kul-logo1}{kul-logo1}
				\item \textcolor{kul-logo2}{kul-logo2}
				\vspace{5pt}
				\item \textcolor{kul-blue1}{kul-blue1}
				\item \textcolor{kul-blue2}{kul-blue2}
				\item \textcolor{kul-blue3}{kul-blue3}
				\vspace{5pt}
				\item \textcolor{kul-orange}{kul-orange}
			\end{itemize}
		\end{column}
		\begin{column}{.3\textwidth}
			\begin{itemize}
				\item \textcolor{gray}{gray}
				\item \textcolor{lgray}{lgray}
				\item \textcolor{bgray}{bgray}
			\end{itemize}
		\end{column}
	\end{columns}
\end{frame}

\begin{frame}{Semantic Colors}
	\vspace{-10pt}
	\begin{center}
		These colors have a semantic meaning and can be changed in the preamble of your presentation,
		whilst still keeping a uniform look.
	\end{center}
	\begin{itemize}
		\item \textcolor{headerbg}{headerbg}\hfill \textit{Default background color of the header}
		\item \textcolor{footerbg}{footerbg}\hfill \textit{Default background color of the footer}
		\item \colorbox{textfg}{\textcolor{framebg}{framebg}}\hfill \textit{Default background color of the frame}
	\end{itemize}
\end{frame}

\begin{frame}{Semantic Colors}
	\vspace{-10pt}
	\begin{center}
		These colors have a semantic meaning and can be changed in the preamble of your presentation,
		whilst still keeping a uniform look.
	\end{center}
	\begin{itemize}
		\item \textcolor{textfg}{textfg}\hfill \textit{Main text color}
		\item \textcolor{linkfg}{linkfg}\hfill \textit{Link text color}
		\item \textcolor{bulletfg}{bulletfg}\hfill \textit{Bullet color (default is same as text)}
	\end{itemize}
\end{frame}

\begin{frame}{Semantic Colors}
	\vspace{-10pt}
	\begin{center}
		These colors have a semantic meaning and can be changed in the preamble of your presentation,
		whilst still keeping a uniform look.
	\end{center}
	\begin{itemize}
		\item \textcolor{blockbg}{blockbg}\hfill \textit{Background color of different blocks}
		\item \textcolor{blocktitlefg}{blocktitlefg}\hfill \textit{Text color of the title of the default block}
		\item \textcolor{alerttitlefg}{alerttitlefg}\hfill \textit{Text color of the title of the alert block}
	\end{itemize}
\end{frame}

\begin{frame}{Semantic Colors}
	\vspace{-10pt}
	\begin{center}
		These colors have a semantic meaning and can be changed in the preamble of your presentation,
		whilst still keeping a uniform look.
	\end{center}
	\begin{itemize}
		\item \colorbox{buttonbg}{\textcolor{buttonfg}{buttonfg}}\hfill \textit{Text color of buttons}
		\item \textcolor{buttonbg}{buttonbg}\hfill \textit{Background color of buttons}
	\end{itemize}
\end{frame}

\setheaderimg{image=graphics/bricklayer_sander169.jpg}
\setheadercolor{color=kul-logo1}
\section{Beavise commands and theme options}
\begin{frame}[fragile]{Setting the header image}
    \vspace{-10pt}
    Use \verb|\setheaderimg{<args>}|\\
    Options for \verb|<args>|:
    \begin{itemize}
        \item \verb|image|: path to the image to show (default no image)
        \item \verb|onlyfull|: only show image on title pages (default \verb|false|)
        \item \verb|vshift|: vertical shift of the image (default \verb|0pt|)
        \item \verb|hshift|: horizontal shift of the image (default \verb|0pt|)
        \item \verb|zoom|: zoom factor for the image (default \verb|1|)
    \end{itemize}
    Example:\\
    \vspace{-10pt}
    \begin{verbatim}
    \setheaderimg{image=graphics/animal_trainer.jpg}
    \end{verbatim}
\end{frame}

\begin{frame}[fragile]{Setting the header color}
    Use \verb|\setheadercolor{<args>}|\\
    Options for \verb|<args>|:
    \begin{itemize}
        \item \verb|color|: color to use (default \verb|headerbg|)
        \item \verb|alpha|: opacity of the colored overlay (default
            \verb|0.85|)
        \item \verb|textcolor|: text color in header (default \verb|white|)
    \end{itemize}
    Example:\\
    \begin{verbatim}
    \setheadercolor{color=kul-orange, alpha=0.5}
    \end{verbatim}
\end{frame}

\begin{frame}[fragile]{Inserting a full image frame}
    \verb|\fullimageframe{<text>}|\\
    Inserts a frame with the previously set header image as background and the
    previously chosen header color as overlay.\\
    A text, given by \verb|<text>|, will be put on top of the image.
    Example:\\
    \begin{verbatim}
    \fullimageframe{Questions??}
    \end{verbatim}
\end{frame}

\begin{frame}[fragile]{Beavise poster options}
    The Beavise theme can also be used to create posters. To activate the 
    Beavise poster mode, use the \verb|poster| option.

    \vspace{10pt}
    Example:
    \begin{verbatim}
    \usetheme[poster]{beavise}
    \end{verbatim}
\end{frame}

\begin{frame}[fragile]{Theme options for logo\\\small{(Only in poster mode)}}
    \begin{itemize}
        \item \texttt{eavise} (default)\\
            \begin{beamercolorbox}[wd=.5\textwidth,sep=4pt,center]{boxheader}
                \includegraphics[height=.1\paperheight]{theme/kul_eavise.pdf}
            \end{beamercolorbox}
        \item \texttt{kul}\\
            \includegraphics[height=.1\paperheight]{theme/KUL.pdf}
    \end{itemize}

    Example:
    \begin{verbatim}
            \usetheme[poster,kul]{beavise}
    \end{verbatim}
\end{frame}

\begin{frame}[fragile]{Theme options for background color\\\small{(Only in 
    poster mode)}}
    \begin{itemize}
        \item \texttt{blue} \quad (default, used if no option is specified) \textcolor{kul-secblue}{\Large$\blacksquare$}
        \item \texttt{white} \textcolor{white}{\Large$\blacksquare$}
    \end{itemize}

    \vspace{24pt}
    Example:
    \begin{verbatim}
        \usetheme[poster,eavise,white]{beavise}
    \end{verbatim}
\end{frame}

\begin{frame}[fragile]{Theme options for background logo\\\small{(Only in 
    poster mode)}}
    \begin{itemize}
        \item \texttt{no} \quad (default, used if no option is specified) 
        \item \texttt{sedes} \qquad poster includes \textit{Sedes Sapientiae}:

            \begin{figure}
                \flushright
            \includegraphics[height=.1\paperheight]{theme/sedes.png} 
        \end{figure}
        \item \texttt{icon} \qquad poster includes \textit{EAVISE Icon}:

            \begin{figure}
                \flushright
                \includegraphics[height=.1\paperheight]{theme/icon_eavise.pdf} 
            \end{figure} 

            \vspace{-30pt}
            Example:
            \begin{verbatim}
        \usetheme[poster,sedes]{beavise}
            \end{verbatim}
    \end{itemize}
\end{frame}

%%
%% Example section
%%
\setheaderimg{image=./graphics/animal_trainer.jpg, onlyfull=true}
\setheadercolor{color=kul-orange}
\section{Example Section}
\begin{frame}{Itemize and Enumerate}
		\vspace{-5pt}
    \begin{itemize}
        \item Item 1
        \item Item 2
            \begin{itemize}
                \item Subitem 1
                \item Subitem 2
            \end{itemize}
        \item Item 3
            \begin{enumerate}
                \item Subitem 1
                \item Subitem 2
                \item Subitem 3
            \end{enumerate}
        \item Item 4
    \end{itemize}
\end{frame}

\begin{frame}{Default Blocks}
	\vspace{-10pt}
	\begin{block}{Generic block title}
		Text for generic block
	\end{block}
	\begin{exampleblock}{Example block title}
		Text for example block
	\end{exampleblock}
	\begin{alertblock}{Alert block title}
		Text for alert block
	\end{alertblock}
\end{frame}

\begin{frame}{Default Blocks}
	\vspace{-10pt}
	\begin{theorem}
		$a^2 + b^2 = c^2$
	\end{theorem}

	\begin{definition}
		Here is definition text
	\end{definition}

	\begin{proof}[Proof with custom title\nopunct]
		A = A
	\end{proof}
\end{frame}

\begin{frame}{Semantic Blocks}
	\begin{center}
		These blocks will change their color according to your semantic color choices
	\end{center}
	\begin{center}~
		\begin{beamercolorbox}[wd=.4\textwidth,sep=4pt,center]{boxheader}
			boxheader colorbox
		\end{beamercolorbox}
		\begin{beamercolorbox}[wd=.4\textwidth,sep=4pt,center]{boxfooter}
			boxfooter colorbox
		\end{beamercolorbox}
	\end{center}
	\vspace{-40pt}
	\begin{center}~
		\begin{beamercolorbox}[wd=\textwidth,sep=4pt,center]{boxinvert}
			boxinvert colorbox (inverted text and background colors)
		\end{beamercolorbox}
	\end{center}
\end{frame}

\begin{frame}{Custom Blocks}
	\begin{center}
		These blocks have been hardcoded with the KUL colors
	\end{center}
	\begin{center}~
		\begin{beamercolorbox}[wd=.5\textwidth,sep=4pt,center]{box1}
			box1 colorbox
		\end{beamercolorbox}
	\end{center}
	\vspace{-30pt}
	\begin{center}~
		\begin{beamercolorbox}[wd=.5\textwidth,sep=4pt,center]{box2}
			box2 colorbox
		\end{beamercolorbox}
	\end{center}
	\vspace{-30pt}
	\begin{center}~
		\begin{beamercolorbox}[wd=.5\textwidth,sep=4pt,center]{box3}
			box3 colorbox
		\end{beamercolorbox}
	\end{center}
	\vspace{-30pt}
	\begin{center}~
		\begin{beamercolorbox}[wd=.5\textwidth,sep=4pt,center]{box4}
			box4 colorbox
		\end{beamercolorbox}
	\end{center}
\end{frame}


%%
%% End
%%
\fullimageframe{Questions??}

\end{document}
